/* Fichier : stm32f10x_bxcan.c */
void CAN_FilterInit(void)
{
	CAN1->FMR |= CAN_FMR_FINIT; // Mode init
	// Filtre 0
	CAN1->FA1R &= 0; // Desactivation du filtre
	CAN1->FM1R &= 0; // Filtrage par identifiant
	CAN1->FS1R |= 1; // Mode 32 bits
	CAN1->sFilterRegister[0].FR1 = 0x50; // Identifiant
	CAN1->sFilterRegister[0].FR2 = 0x10; // Data
	CAN1->FFA1R &= 0; // FIFO
	CAN1->FA1R |= 1; 
	CAN1->FMR &=  ~CAN_FMR_FINIT; // Leave init mode
}

/* Fichier : TP_bxCAN_V2.c */
u8 CAN_TX_Message(void)
{

	CanTxMsg TxMessage;
	u8 TransmitMailbox;

	/* transmit */
	TxMessage.StdId = 0x50;
	TxMessage.RTR = 0x0;
	TxMessage.IDE = 0x0;
	TxMessage.DLC = 0x1;
	TxMessage.Data[0]= 0x10;
	TransmitMailbox = CAN_Transmit(&TxMessage);

	return  TransmitMailbox;
}